<style>
	.search-type{
		float:left;
		margin-right:5px;
		text-align: center;
	}
</style>

<form class="form-common" action="<?= $this->baseUrl() ?>/blacklisted-words/edit" method="post" class="form">
    <input type="hidden" name="id" value="<?= $this->id ?>" />
    <div class="inner">
        <label for="title">Name</label>
        <input id="title" type="text" class="txt w15" name="name" value="<?= $this->blockedWork->name ?>" />
    </div>
	
	<div class="inner" style="margin: 0 !important">
		<div class="search-type">
			<label for="search_type">Cont.</label>
			<input type="radio" name="search_type" <?= $this->blockedWork->search_type == Model_BlacklistedWords::BL_SEARCH_TYPE_CONT ?  'checked="checked"' : '' ?> value="<?= Model_BlacklistedWords::BL_SEARCH_TYPE_CONT ?>"/>
		</div>	
		<div class="search-type">
			<label for="search_type">Exact</label>
			<input type="radio" name="search_type" <?= $this->blockedWork->search_type == Model_BlacklistedWords::BL_SEARCH_TYPE_EXACT ?  'checked="checked"' : '' ?>  value="<?= Model_BlacklistedWords::BL_SEARCH_TYPE_EXACT ?>"/>
		</div>	
	</div>
	<div class="clear"></div>
	
	<div class="inner">
		<label for="d-bl_type">For</label>
		<select id="d-bl_type" style="width:159px" name="bl_type" value="" >
			<option value="" >-- Select --</option>
			<option value="-1" >-- All --</option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_ABOUT ?>"> About Me </option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_BUBBLE_TEXT ?>"> Bubble Text </option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_CLASSIFIED_ADS ?>"> Classifieds Ads </option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_FEEDBACK ?>"> Feedback </option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_INSTANT_MESSAGES ?>"> Instant messages </option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_PRIVATE_MESSAGING ?>"> Private Messaging </option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_SLOGAN ?>"> Slogan </option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_SPECIAL_CHAR ?>"> Special Characteristics </option>
			<? if(Cubix_Application::getId() == APP_A6): ?>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_ADDITIONAL_SERVICES ?>"> Additional Services </option>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_SHOWNAME ?>"> Showname </option>
			<? endif; ?>
			<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_OTHER ?>"> Other Cases </option>
		</select>	
	</div>
	
	
	<div class="inner " style="margin: 0 !important">
		<a id="btn-bl-types-add" class="sbtn icon-add mt20"></a>
	</div>
	<div class="clear"></div>
	
	<div id="bl_types" class="inner">
		<?
		if ( count ( $this->bl_types ) > 0 ):
			foreach ( $this->bl_types as $type => $title ): ?>

			<div class="selected-types mb5">
				<div class="fleft mr10">
					<a class="sbtn icon-remove"></a>
				</div>

				<label class="fleft">
					<span>
						<?= $title ?>
					</span>

				</label>
				<input type="hidden" name="bl_types[]" value="<?= $type ?>" />
				<div class="clear"></div>
			</div>
			<?
			endforeach;
		endif; ?>
	</div>


	<div class="clear"></div>
	
	<? if( Cubix_Application::getId() == APP_ED ): ?>

		<div class="inner">
			<label for="d-bl_country_for">For Country</label>
			<select id="d-bl_country_for" style="width:159px" name="bl_country_for" value="" >
				<option value="" >-- All --</option>
				<? foreach($this->countries as $country): ?>
					<option class="types" value="<?= $country->id ?>"> <?= $country->title ?> </option>
				<? endforeach; ?>
			</select>	
		</div>
		<div class="inner " style="margin: 0 !important">
			<a id="btn-bl_country_for-add" class="sbtn icon-add mt20"></a>
		</div>
		<div class="clear"></div>

		
		<div id="bl_countries" class="inner">
		<?
		if ( count ( $this->bl_countries ) > 0 ):
			foreach ( $this->bl_countries as $key => $selectedcountry ): ?>
	
			<div class="selected-types mb5">
				<div class="fleft mr10">
					<a class="sbtn icon-remove"></a>
				</div>

				<label class="fleft">
					<span>
						<? 
						foreach($this->countries as $country_loop) {
						    if ($selectedcountry->bl_country == $country_loop->id) {
						      echo $country_loop->title;
						        break;
						    }
						}
						 ?>
					</span>

				</label>
				<input type="hidden" name="bl_countries[]" value="<?= $selectedcountry->bl_country ?>" />
				<div class="clear"></div>
			</div>
			<?
			endforeach;
		endif; ?>
	</div>

	<? endif; ?>
				
    <div class="clear"></div>
</form>

